Class Index | File Index

## Classes

- _global_
- Array
- Function
- pockets
- pockets.managers
- pockets.managers.EventManager
- pockets.managers.EventRegistration
- pockets.managers.EventTargetRegistration
- pockets.managers.MenuManager

# Built-In Namespace Array

Method Summary
Method Attributes | Method Name and Description
--- | ---
| collectAsync(doer, onComplete) Acts like Protoype.js's collect() function on an Array, but allows for asynchronous actions.
| eachAsync(doer, onComplete) Acts like Protoype.js's each() function on an Array, but allows for asynchronous actions.
| remove(item) Removes the given item from the Array, if it exists
| replaceAll(newContents) replace all items in an Array with the items from the Array passed in

Method Detail
collectAsync(doer, onComplete)
Acts like Protoype.js's collect() function on an Array, but allows for asynchronous actions.
Defined in: pockets.js.

Parameters:
doer
  {Function} the function which is passed each element in turn; this function can contain asynchronous calls, say to Mojo apis; expected to return a resultant value
onComplete
  {Function} a function that will be called only after *all* of the calls to doer are done; is called with an Array that is the collected return values, in correct position order

eachAsync(doer, onComplete)
Acts like Protoype.js's each() function on an Array, but allows for asynchronous actions.
Defined in: pockets.js.

Parameters:
{Function} doer
  the function which is passed each element in turn; this function can contain asynchronous calls, say to Mojo apis
{Function} onComplete
  a function that will be called only after *all* of the calls to doer are done

{Array} remove(item)
Removes the given item from the Array, if it exists
Defined in: pockets.js.

Parameters:
item
  {Object} to remove

Returns:
  {Array} the transformed Array

{Array} replaceAll(newContents)
replace all items in an Array with the items from the Array passed in
Defined in: pockets.js.

Parameters:
newContents
  {Array} the Array of replacement values

Returns:
  {Array} transformed Array, now containing only the new values

Documentation generated by JsDoc Toolkit 2.3.0 on Sat Jun 27 2009 08:38:33 GMT-0700 (PDT)